Skip to main content
POST /v1/messages/sendPush Enables merchants (or ISVs) to send push/inbox messages to users via their access tokens. The access token must have been granted the NOTIFICATION_PUSH scope (see my.getAuthCode).

Request Parameters

string
required
Auth token identifying the target user.Max length: 128 characters
string
required
Unique ID of the request, used for idempotency: a request with the same requestId sends the message only once, and returns the stored result (the same messageId) if repeated.Max length: 128 characters
string
required
Template identifier for the notification.Max length: 256 characters
array
required
Content templates. Maximum 5 items. Each item is a ContentTemplate object.
string
Unique auth client ID. For Mini Programs, this is the Mini Program appId.Max length: 128 characters
string
Additional metadata.Max length: 4096 characters

Response Parameters

object
required
Standard result object with resultCode, resultStatus, resultMessage
string
Unique message identifier.Max length: 258 characters
string
Additional response metadata.Max length: 4096 characters

Result Handling

Result Codes

Sample

Request

Response